org.apache.avro.ipc

## Class HttpTransceiver

- java.lang.Object
- - org.apache.avro.ipc.Transceiver
  - - org.apache.avro.ipc.HttpTransceiver

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class HttpTransceiver
    extends Transceiver

An HTTP-based `Transceiver` implementation.

### Constructor Summary

Constructors
Constructor and Description
`HttpTransceiver(URL url)`
`HttpTransceiver(URL url, Proxy proxy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getRemoteName()`
`List<ByteBuffer>` `readBuffers()` Called by the default definition of `Transceiver.transceive(List)`.
`void` `setTimeout(int timeout)` Set the connect and read timeouts, in milliseconds.
`void` `writeBuffers(List<ByteBuffer> buffers)` Called by `Requestor.request(String,Object)` for one-way messages.

### Methods inherited from class org.apache.avro.ipc.Transceiver

`close, getRemote, isConnected, lockChannel, setRemote, transceive, transceive, unlockChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpTransceiver

    public HttpTransceiver(URL url)

#### HttpTransceiver

    public HttpTransceiver(URL url,
                           Proxy proxy)

### Method Detail

#### setTimeout

    public void setTimeout(int timeout)

Set the connect and read timeouts, in milliseconds.

#### getRemoteName

    public String getRemoteName()

Specified by:
  `getRemoteName` in class `Transceiver`

#### readBuffers

    public List<ByteBuffer> readBuffers()
                                 throws IOException

Description copied from class: `Transceiver`
Called by the default definition of `Transceiver.transceive(List)`.

Specified by:
  `readBuffers` in class `Transceiver`
Throws:
  `IOException`

#### writeBuffers

    public void writeBuffers(List<ByteBuffer> buffers)
                      throws IOException

Description copied from class: `Transceiver`
Called by `Requestor.request(String,Object)` for one-way messages.

Specified by:
  `writeBuffers` in class `Transceiver`
Throws:
  `IOException`